> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stickyqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# My Profile

> Returns business profile information



## OpenAPI

````yaml GET /account
openapi: 3.0.1
info:
  title: StickyQR Public API
  description: StickyQR Public API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://app.stickyqr.com/api
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Customers
  - name: Rewards
  - name: QR
paths:
  /account:
    get:
      tags:
        - Account
      summary: My Profile
      description: Returns business profile information
      operationId: myProfile
      parameters:
        - name: x-lang
          in: header
          schema:
            type: string
            example: en
            default: en
          description: Language support
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: User ID
                  name:
                    type: string
                    description: Your name
                  logo:
                    type: string
                    description: Your logo link
                  timeZone:
                    type: string
                    description: 'Your current time zone '
                  currentPlan:
                    type: string
                    description: Your current subscription plan
                  currentPlanInterval:
                    type: string
                    description: Interval for your current subscription plan
                  currentCustomers:
                    type: number
                    description: Number of customers participating in your business
                  getStartedLink:
                    type: string
                    description: Link to join your business
                  address:
                    type: object
                    description: Your address information
                    properties:
                      city:
                        type: string
                      country:
                        type: string
                      state:
                        type: string
                      street:
                        type: string
                      zipCode:
                        type: string
              examples:
                Successful Response:
                  value:
                    id: <string>
                    name: <string>
                    logo: <string>
                    timeZone: <string>
                    currentPlan: <string>
                    currentPlanInterval: <string>
                    currentCustomers: 123
                    getStartedLink: <string>
                    address:
                      street: <string>
                      city: <string>
                      state: <string>
                      country: <string>
                      zipCode: <strin>g
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````